0

1 exception(s): Exception #0 (Exception): Notice: Undefined offset: 2 in /var/www/html/Registration/vendor/magento/framework/Encryption/Encryptor.php on line 588

4
  • what is your php version? Aug 6, 2019 at 6:26
  • Is that comes after upgrading or after installation of new Magento? Which Magento version you are using? Aug 6, 2019 at 6:28
  • @ShoaibMunir php version is 7.2
    – usman
    Aug 6, 2019 at 6:29
  • @HarshJayswal i am using magento 2.3. i am working on Extension devolpment. when i install magento 2.3 everything is working fine. but now admin login is not working but admin login page is displayed but when i enter login credential it gave me exception of undefined index .i have also tried it on php version 7.1 but facing the same exception
    – usman
    Aug 6, 2019 at 6:31

2 Answers 2

1

ok got your problem just create a new admin user using the following command

bin/magento admin:user:create

after that login with new admin id it will solve your problem.

2
  • it does not solve my problem
    – usman
    Aug 6, 2019 at 9:18
  • i have Migrated My Site from Magneto Cloud to AWS Server and this Solution Helped me Thank You
    – Waqar Ali
    Dec 9, 2021 at 5:24
0

Your environment is using ARGON2ID13 instead of SHA256 for hashing.

Check if you have 'sodium' php extension enabled.

If you disable the libsodium php extension, it will fallback on SHA-256 and won't break Magento.

In the Docker php-fpm image you can comment it out in /usr/local/etc/php/conf.d/docker-php-ext-sodium.ini:

;extension=sodium.so
11
  • the senerio is i devolped extension on magento 2.3 and for testing of extension i insall magento 2.2.9 and extension behave excellent but after tesing when i want to login on magento 2.3 admin pannel it gave me this exception.does it resolved by installing sodium extension?
    – usman
    Aug 6, 2019 at 6:40
  • not install, you need to disable sodium extension Aug 6, 2019 at 6:47
  • How to check this extension is enable?
    – usman
    Aug 6, 2019 at 9:07
  • i have read this issue on provided link but here only describe its a PHP version issue but its not a PHP issue because i have have checked it by change PHP version
    – usman
    Aug 6, 2019 at 9:10

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.